<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=Center>
<FONT COLOR="#0000FF"><FONT SIZE=+3>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.esrf.fr">
<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT border="0"></A>
</td></tr></table>

</Body>
</Html>
<!-- Generated by Doxygen 1.2.13.1 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>Starter for Tango Administration Compound Members</h1><center>
<a href="#index__">_</a>&nbsp;|&nbsp;<a href="#index_a">a</a>&nbsp;|&nbsp;<a href="#index_b">b</a>&nbsp;|&nbsp;<a href="#index_c">c</a>&nbsp;|&nbsp;<a href="#index_d">d</a>&nbsp;|&nbsp;<a href="#index_e">e</a>&nbsp;|&nbsp;<a href="#index_g">g</a>&nbsp;|&nbsp;<a href="#index_i">i</a>&nbsp;|&nbsp;<a href="#index_m">m</a>&nbsp;|&nbsp;<a href="#index_n">n</a>&nbsp;|&nbsp;<a href="#index_p">p</a>&nbsp;|&nbsp;<a href="#index_r">r</a>&nbsp;|&nbsp;<a href="#index_s">s</a>&nbsp;|&nbsp;<a href="#index_t">t</a>&nbsp;|&nbsp;<a href="#index_u">u</a>&nbsp;|&nbsp;<a href="#index_w">w</a>&nbsp;|&nbsp;<a href="#index_~">~</a></center>

<p>
Here is a list of all class members with links to the class documentation for each member:<a name="index__"><h3>- _ -</h3></a>
<ul>
<li>_instance
: <a class="el" href="classStarter_1_1StarterClass.html#q0">Starter::StarterClass</a></ul>
<a name="index_a"><h3>- a -</h3></a>
<ul>
<li>admin_name
: <a class="el" href="structStarter_1_1ServerControled.html#m1">Starter::ServerControled</a><li>always_executed_hook()
: <a class="el" href="classStarter_1_1Starter.html#z4_1">Starter::Starter</a></ul>
<a name="index_b"><h3>- b -</h3></a>
<ul>
<li>build_log_file_name()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_3">Starter::StarterUtil</a><li>build_server_ctrl_object()
: <a class="el" href="classStarter_1_1Starter.html#z6_2">Starter::Starter</a></ul>
<a name="index_c"><h3>- c -</h3></a>
<ul>
<li>check_exe_file()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_2">Starter::StarterUtil</a><li>cmdPollingTimeout
: <a class="el" href="classStarter_1_1StarterClass.html#m2">Starter::StarterClass</a><li>command_factory()
: <a class="el" href="classStarter_1_1StarterClass.html#b1">Starter::StarterClass</a><li>controled
: <a class="el" href="structStarter_1_1ServerControled.html#m2">Starter::ServerControled</a></ul>
<a name="index_d"><h3>- d -</h3></a>
<ul>
<li>dbase
: <a class="el" href="classStarter_1_1Starter.html#m7">Starter::Starter</a><li>dev
: <a class="el" href="structStarter_1_1ServerControled.html#m5">Starter::ServerControled</a><li>dev_get_running_servers()
: <a class="el" href="classStarter_1_1Starter.html#z5_3">Starter::Starter</a><li>dev_get_stop_servers()
: <a class="el" href="classStarter_1_1Starter.html#z5_4">Starter::Starter</a><li>dev_read_log()
: <a class="el" href="classStarter_1_1Starter.html#z5_7">Starter::Starter</a><li>dev_start()
: <a class="el" href="classStarter_1_1Starter.html#z5_5">Starter::Starter</a><li>dev_start_all()
: <a class="el" href="classStarter_1_1Starter.html#z5_1">Starter::Starter</a><li>dev_state()
: <a class="el" href="classStarter_1_1Starter.html#z5_0">Starter::Starter</a><li>dev_stop()
: <a class="el" href="classStarter_1_1Starter.html#z5_6">Starter::Starter</a><li>dev_stop_all()
: <a class="el" href="classStarter_1_1Starter.html#z5_2">Starter::Starter</a><li>DevGetRunningServersCmd()
: <a class="el" href="classStarter_1_1DevGetRunningServersCmd.html#a1">Starter::DevGetRunningServersCmd</a><li>DevGetStopServersCmd()
: <a class="el" href="classStarter_1_1DevGetStopServersCmd.html#a1">Starter::DevGetStopServersCmd</a><li>DevReadLogCmd()
: <a class="el" href="classStarter_1_1DevReadLogCmd.html#a1">Starter::DevReadLogCmd</a><li>DevStartAllCmd()
: <a class="el" href="classStarter_1_1DevStartAllCmd.html#a1">Starter::DevStartAllCmd</a><li>DevStartCmd()
: <a class="el" href="classStarter_1_1DevStartCmd.html#a1">Starter::DevStartCmd</a><li>DevStopAllCmd()
: <a class="el" href="classStarter_1_1DevStopAllCmd.html#a1">Starter::DevStopAllCmd</a><li>DevStopCmd()
: <a class="el" href="classStarter_1_1DevStopCmd.html#a1">Starter::DevStopCmd</a><li>disableNotifyDaemon
: <a class="el" href="classStarter_1_1Starter.html#z1_2">Starter::Starter</a></ul>
<a name="index_e"><h3>- e -</h3></a>
<ul>
<li>execute()
: <a class="el" href="classStarter_1_1DevStartAllCmd.html#a4">Starter::DevStartAllCmd</a>, <a class="el" href="classStarter_1_1DevStopAllCmd.html#a4">Starter::DevStopAllCmd</a>, <a class="el" href="classStarter_1_1DevGetRunningServersCmd.html#a4">Starter::DevGetRunningServersCmd</a>, <a class="el" href="classStarter_1_1DevGetStopServersCmd.html#a4">Starter::DevGetStopServersCmd</a>, <a class="el" href="classStarter_1_1DevStartCmd.html#a4">Starter::DevStartCmd</a>, <a class="el" href="classStarter_1_1DevStopCmd.html#a4">Starter::DevStopCmd</a>, <a class="el" href="classStarter_1_1DevReadLogCmd.html#a4">Starter::DevReadLogCmd</a>, <a class="el" href="classStarter_1_1UpdateServersInfoCmd.html#a4">Starter::UpdateServersInfoCmd</a>, <a class="el" href="classStarter_1_1StartPollingThreadCmd.html#a4">Starter::StartPollingThreadCmd</a></ul>
<a name="index_g"><h3>- g -</h3></a>
<ul>
<li>get_class_property()
: <a class="el" href="classStarter_1_1StarterClass.html#b2">Starter::StarterClass</a><li>get_device_property()
: <a class="el" href="classStarter_1_1Starter.html#z5_10">Starter::Starter</a><li>get_file_date()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_4">Starter::StarterUtil</a><li>get_host_ds_list()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_7">Starter::StarterUtil</a><li>get_instance_name()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_1">Starter::StarterUtil</a><li>get_server_by_name()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_6">Starter::StarterUtil</a><li>get_server_info()
: <a class="el" href="classStarter_1_1Starter.html#z6_1">Starter::Starter</a><li>get_server_name()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_0">Starter::StarterUtil</a><li>get_timer()
: <a class="el" href="classStarter_1_1SharedData.html#a1">Starter::SharedData</a><li>get_timer_value()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_10">Starter::StarterUtil</a></ul>
<a name="index_i"><h3>- i -</h3></a>
<ul>
<li>init()
: <a class="el" href="classStarter_1_1StarterClass.html#d0">Starter::StarterClass</a><li>init_device()
: <a class="el" href="classStarter_1_1Starter.html#z4_0">Starter::Starter</a><li>instance()
: <a class="el" href="classStarter_1_1StarterClass.html#d1">Starter::StarterClass</a><li>is_allowed()
: <a class="el" href="classStarter_1_1DevStartAllCmd.html#a3">Starter::DevStartAllCmd</a>, <a class="el" href="classStarter_1_1DevStopAllCmd.html#a3">Starter::DevStopAllCmd</a>, <a class="el" href="classStarter_1_1DevGetRunningServersCmd.html#a3">Starter::DevGetRunningServersCmd</a>, <a class="el" href="classStarter_1_1DevGetStopServersCmd.html#a3">Starter::DevGetStopServersCmd</a>, <a class="el" href="classStarter_1_1DevStartCmd.html#a3">Starter::DevStartCmd</a>, <a class="el" href="classStarter_1_1DevStopCmd.html#a3">Starter::DevStopCmd</a>, <a class="el" href="classStarter_1_1DevReadLogCmd.html#a3">Starter::DevReadLogCmd</a>, <a class="el" href="classStarter_1_1UpdateServersInfoCmd.html#a3">Starter::UpdateServersInfoCmd</a>, <a class="el" href="classStarter_1_1StartPollingThreadCmd.html#a3">Starter::StartPollingThreadCmd</a><li>is_notifyd_alive()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_8">Starter::StarterUtil</a><li>is_running()
: <a class="el" href="classStarter_1_1Starter.html#z6_0">Starter::Starter</a></ul>
<a name="index_m"><h3>- m -</h3></a>
<ul>
<li>manage_PollingState_startup()
: <a class="el" href="classStarter_1_1Starter.html#a0">Starter::Starter</a></ul>
<a name="index_n"><h3>- n -</h3></a>
<ul>
<li>name
: <a class="el" href="structStarter_1_1ServerControled.html#m0">Starter::ServerControled</a><li>nbStartupLevels
: <a class="el" href="classStarter_1_1StarterClass.html#m1">Starter::StarterClass</a></ul>
<a name="index_p"><h3>- p -</h3></a>
<ul>
<li>poller
: <a class="el" href="classStarter_1_1Starter.html#m2">Starter::Starter</a><li>polling_id
: <a class="el" href="classStarter_1_1Starter.html#m3">Starter::Starter</a><li>PollingState()
: <a class="el" href="classStarter_1_1PollingState.html#a0">Starter::PollingState</a></ul>
<a name="index_r"><h3>- r -</h3></a>
<ul>
<li>readInfoDbPeriod
: <a class="el" href="classStarter_1_1StarterClass.html#m0">Starter::StarterClass</a><li>returned_str
: <a class="el" href="classStarter_1_1Starter.html#m6">Starter::Starter</a><li>run_undetached()
: <a class="el" href="classStarter_1_1PollingState.html#a1">Starter::PollingState</a><li>running
: <a class="el" href="structStarter_1_1ServerControled.html#m3">Starter::ServerControled</a></ul>
<a name="index_s"><h3>- s -</h3></a>
<ul>
<li>servers
: <a class="el" href="classStarter_1_1Starter.html#m4">Starter::Starter</a><li>set_timer()
: <a class="el" href="classStarter_1_1SharedData.html#a2">Starter::SharedData</a><li>shared
: <a class="el" href="classStarter_1_1Starter.html#m1">Starter::Starter</a><li>SharedData()
: <a class="el" href="classStarter_1_1SharedData.html#a0">Starter::SharedData</a><li>signal_handler()
: <a class="el" href="classStarter_1_1Starter.html#z6_3">Starter::Starter</a><li>start()
: <a class="el" href="classStarter_1_1PollingState.html#a2">Starter::PollingState</a>, <a class="el" href="classStarterService.html#a1">StarterService</a><li>start_polling_thread()
: <a class="el" href="classStarter_1_1Starter.html#z5_9">Starter::Starter</a><li>start_timer()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_9">Starter::StarterUtil</a><li>startDsPath
: <a class="el" href="classStarter_1_1Starter.html#z1_0">Starter::Starter</a><li>Starter()
: <a class="el" href="classStarter_1_1Starter.html#z2_2">Starter::Starter</a><li>StarterClass()
: <a class="el" href="classStarter_1_1StarterClass.html#b0">Starter::StarterClass</a><li>StarterService()
: <a class="el" href="classStarterService.html#a0">StarterService</a><li>StarterUtil()
: <a class="el" href="classStarter_1_1StarterUtil.html#z7_0">Starter::StarterUtil</a><li>StartPollingThreadCmd()
: <a class="el" href="classStarter_1_1StartPollingThreadCmd.html#a1">Starter::StartPollingThreadCmd</a><li>startup_level
: <a class="el" href="structStarter_1_1ServerControled.html#m4">Starter::ServerControled</a><li>strtime()
: <a class="el" href="classStarter_1_1StarterUtil.html#z8_5">Starter::StarterUtil</a></ul>
<a name="index_t"><h3>- t -</h3></a>
<ul>
<li>throwable
: <a class="el" href="classStarter_1_1Starter.html#m5">Starter::Starter</a></ul>
<a name="index_u"><h3>- u -</h3></a>
<ul>
<li>update_servers_info()
: <a class="el" href="classStarter_1_1Starter.html#z5_8">Starter::Starter</a><li>UpdateServersInfoCmd()
: <a class="el" href="classStarter_1_1UpdateServersInfoCmd.html#a1">Starter::UpdateServersInfoCmd</a><li>util
: <a class="el" href="classStarter_1_1Starter.html#m0">Starter::Starter</a></ul>
<a name="index_w"><h3>- w -</h3></a>
<ul>
<li>waitForDriverStartup
: <a class="el" href="classStarter_1_1Starter.html#z1_1">Starter::Starter</a><li>write_class_property()
: <a class="el" href="classStarter_1_1StarterClass.html#b3">Starter::StarterClass</a></ul>
<a name="index_~"><h3>- ~ -</h3></a>
<ul>
<li>~DevGetRunningServersCmd()
: <a class="el" href="classStarter_1_1DevGetRunningServersCmd.html#a2">Starter::DevGetRunningServersCmd</a><li>~DevGetStopServersCmd()
: <a class="el" href="classStarter_1_1DevGetStopServersCmd.html#a2">Starter::DevGetStopServersCmd</a><li>~DevReadLogCmd()
: <a class="el" href="classStarter_1_1DevReadLogCmd.html#a2">Starter::DevReadLogCmd</a><li>~DevStartAllCmd()
: <a class="el" href="classStarter_1_1DevStartAllCmd.html#a2">Starter::DevStartAllCmd</a><li>~DevStartCmd()
: <a class="el" href="classStarter_1_1DevStartCmd.html#a2">Starter::DevStartCmd</a><li>~DevStopAllCmd()
: <a class="el" href="classStarter_1_1DevStopAllCmd.html#a2">Starter::DevStopAllCmd</a><li>~DevStopCmd()
: <a class="el" href="classStarter_1_1DevStopCmd.html#a2">Starter::DevStopCmd</a><li>~Starter()
: <a class="el" href="classStarter_1_1Starter.html#z3_0">Starter::Starter</a><li>~StarterClass()
: <a class="el" href="classStarter_1_1StarterClass.html#a0">Starter::StarterClass</a><li>~StartPollingThreadCmd()
: <a class="el" href="classStarter_1_1StartPollingThreadCmd.html#a2">Starter::StartPollingThreadCmd</a><li>~UpdateServersInfoCmd()
: <a class="el" href="classStarter_1_1UpdateServersInfoCmd.html#a2">Starter::UpdateServersInfoCmd</a></ul>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
</body>
</html>
